Subject: Bug in kmacro.el?

From: "Matzi Kratzi" <[email-masked]>
Date: Wed, 28 May 2008 09:36:14 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I have saved a macro in one instance of emacs in the file
c:\temp\fwf.el and then started a new instance of emacs, loaded the
file and evaluated the resulting lisp. The lisp looks like this:

(fset 'findwordfile
   (lambda (&optional arg) "Keyboard macro." (interactive "p")
(kmacro-exec-ring-item (quote ("file" 0 "%d")) arg)))

When trying to use the macro, I get this in my minibuffer:

findwordfile: Symbol's function definition is void: kmacro-exec-ring-item

If I put (require 'kmacro) at the beginning of my file containing
macros it works.

Is there a missing autoload before this line?
(defun kmacro-exec-ring-item (item arg)

Thanks for your work.

/Mats

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/ProgramFiles/emacs-22.2/etc/DEBUG for instructions.

In GNU Emacs 22.2.1 (i386-mingw-nt5.0.2195)
 of 2008-03-26 on RELEASE
Windowing system distributor `Microsoft Corp.', version 5.0.2195
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: SVE
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
C-x C-f C-a C-k c : / t e m p / f w f . e l <return>
M-> C-x C-e M-< M-x f i n d w <tab> <return> M-x e m
<backspace> <backspace> r e p o r t SPC e m a <tab>
<return>

Recent messages:
Loading encoded-kb...done
For information about GNU Emacs and the GNU system, type C-h C-a.
fwf.el has auto save data; consider M-x recover-this-file
Mark set
(lambda (&optional arg) "Keyboard macro." (interactive "p")
(kmacro-exec-ring-item (quote ("file" 0 "%d")) arg))
Mark set
findwordfile: Symbol's function definition is void: kmacro-exec-ring-item
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done